/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(ogg_encoder.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(38481fe15814115bc479bf45854360c4)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satnogs/ogg_encoder.h>
// pydoc.h is automatically generated in the build directory
#include <ogg_encoder_pydoc.h>

void bind_ogg_encoder(py::module& m)
{

    using ogg_encoder = ::gr::satnogs::ogg_encoder;


    py::class_<ogg_encoder,
               gr::sync_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<ogg_encoder>>(m, "ogg_encoder", D(ogg_encoder))

        .def(py::init(&ogg_encoder::make),
             py::arg("filename"),
             py::arg("samp_rate"),
             py::arg("quality"),
             D(ogg_encoder, make))


        ;
}
